Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu
Class Response.Redirect

    java.lang.Object
      juzu.Response
          juzu.Response.Redirect

Enclosing class:
  Response

    public static class Response.Redirect

extends Response

A response instructing to execute an HTTP redirection after the current interaction.

Nested Class Summary

Nested classes/interfaces inherited from class juzu.Response
`Response.Content<S extends Stream>, Response.Redirect, Response.Render, Response.View`

Constructor Summary
`Response.Redirect(String location)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getLocation()`
`String` | `toString()`
`
`<T> Response.Redirect`
` | `with(PropertyType<T> propertyType, T propertyValue)` Set a property, if the value is null, the property is removed.
`Response.Redirect` | `withHeader(String name, String... value)`

Methods inherited from class juzu.Response
`content, content, content, getProperties, notFound, ok, ok, redirect, render, render`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Response.Redirect

    public Response.Redirect(String location)

Method Detail

### getLocation

    public String getLocation()

### with

    public <T> Response.Redirect with(PropertyType<T> propertyType,
                                      T propertyValue)
                           throws NullPointerException

  Description copied from class: `Response`
  Set a property, if the value is null, the property is removed.

  Overrides:
    `with` in class `Response`
  Parameters:
    `propertyType` - the property type
    `propertyValue` - the property value
  Throws:
    `NullPointerException` - if the property type is null

### withHeader

    public Response.Redirect withHeader(String name,
                                        String... value)

  Overrides:
    `withHeader` in class `Response`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.